## python-raccoon 2.1.5

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Raccoon.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Raccoon.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Raccoon"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Raccoon"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
python-raccoon (2.1.5-3) unstable; urgency=medium

  * Correct debian/watch

 -- Sebastien Delafond <seb@debian.org>  Thu, 30 Aug 2018 07:49:08 +0200

python-raccoon (2.1.5-2) unstable; urgency=medium

  * Depend on python3-pkg-resources (Closes: #896376)

 -- Sebastien Delafond <seb@debian.org>  Mon, 23 Apr 2018 11:17:46 +0200

python-raccoon (2.1.5-1) unstable; urgency=medium

  * First release (Closes: #895510)

 -- Sebastien Delafond <seb@debian.org>  Thu, 12 Apr 2018 10:11:30 +0200

=== debian/control ===
Source: python-raccoon
Maintainer: Sebastien Delafond <seb@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9), dh-python, python3-setuptools, python3-all, python3-pytest,
 python3-blist,
 python3-tabulate
Standards-Version: 4.1.3
Homepage: https://github.com/rsheftel/raccoon
Vcs-Git: https://salsa.debian.org/debian/python-raccoon.git
Vcs-Browser: https://salsa.debian.org/debian/python-raccoon

Package: python3-raccoon
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-pkg-resources
Description: Python DataFrame with fast insert and appends (Python 3)
 Lightweight DataFrame and Series implementation inspired by the
 phenomenal Pandas package for the one use case where Pandas is known
 to be sub-optimal: DataFrames that grow in size by rows frequently in
 the code. Additionally Raccoon DataFrames can be parametrized to be
 sorted so that additions to the DataFrame keep the index in sorted
 order to speed inserts and retrievals.

## python-raccoon 3.0.0

=== debian/changelog ===
python-raccoon (3.0.0-2) unstable; urgency=medium

  [ Sébastien Delafond ]
  * Remove unneeded build-dependency on python3-blist
  * Switch to debhelper-compat 12
  * Bump-up Standards-Version

 -- Sebastien Delafond <seb@debian.org>  Wed, 16 Nov 2022 07:46:42 +0100

python-raccoon (3.0.0-1) unstable; urgency=medium

  * New upstream version 3.0.0

 -- Sebastien Delafond <seb@debian.org>  Sat, 21 Dec 2019 10:09:08 +0100

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,8 @@
 Maintainer: Sebastien Delafond <seb@debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 9), dh-python, python3-setuptools, python3-all, python3-pytest,
- python3-blist,
- python3-tabulate
-Standards-Version: 4.1.3
+Build-Depends: debhelper-compat (= 12), dh-python, python3-setuptools, python3-all, python3-pytest, python3-tabulate
+Standards-Version: 4.6.1
 Homepage: https://github.com/rsheftel/raccoon
 Vcs-Git: https://salsa.debian.org/debian/python-raccoon.git
 Vcs-Browser: https://salsa.debian.org/debian/python-raccoon

=== debian/watch ===
version=3
https://pypi.debian.net/raccoon/raccoon-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz|zip)))

## python-raccoon 3.1.1

=== debian/changelog ===
python-raccoon (3.1.1-1) unstable; urgency=medium

  * New upstream version 3.1.1
  * New Maintainer (Closes: #1052685)
  * d/control:
    - Set Maintainer to Akash Doppalapudi
    - Update debhelper-compat to version 13 in Depends
    - Bump Standards-Version to 4.6.2
    - Set Rules-Requires-Root field to 'no'
    - Set Testsuite to 'autopkgtest-pkg-python'
    - Remove python3-pytest from Build-Depends since there are no tests to run
    - Remove python3-tabulate from Build-Depends since it is covered by
      {python3:Depends} of the binary package
    - Add pybuild-plugin-pyproject to Build-Depends
    - Remove python3-pkg-resources as a dependency to binary package
  * d/rules:
    - Change PYBUILD_NAME to raccoon from python-raccoon
  * d/copyright:
    - Add new maintainer in debian/* copyright stanza
    - Add Upstream-Contact
    - Add Upstream author's email in copyright stanza
  * d/watch: Bump watch file version to 4
  * d/upstream/metadata: Add upstream metadata file

 -- Akash Doppalapudi <akashdoppalapudi2001@gmail.com>  Fri, 01 Mar 2024 16:41:28 +0000

=== debian/control ===
Source: python-raccoon
Maintainer: Akash Doppalapudi <akashdoppalapudi2001@gmail.com>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               pybuild-plugin-pyproject,
               python3-setuptools,
               python3-all
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://github.com/rsheftel/raccoon
Vcs-Git: https://salsa.debian.org/debian/python-raccoon.git
Vcs-Browser: https://salsa.debian.org/debian/python-raccoon
Testsuite: autopkgtest-pkg-python

Package: python3-raccoon
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Python DataFrame with fast insert and appends (Python 3)
 Lightweight DataFrame and Series implementation inspired by the
 phenomenal Pandas package for the one use case where Pandas is known
 to be sub-optimal: DataFrames that grow in size by rows frequently in
 the code. Additionally Raccoon DataFrames can be parametrized to be
 sorted so that additions to the DataFrame keep the index in sorted
 order to speed inserts and retrievals.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=raccoon
export PYBUILD_DISABLE=test
%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4
https://pypi.debian.net/raccoon/raccoon-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz|zip)))

## python-raccoon 3.2.1

=== debian/changelog ===
python-raccoon (3.2.1-1) unstable; urgency=medium

  * New upstream version 3.2.1
  * d/control: Bump Standards-Version to 4.7.2

 -- Akash Doppalapudi <akashdoppalapudi2001@gmail.com>  Sun, 27 Apr 2025 10:28:57 +0000

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                pybuild-plugin-pyproject,
                python3-setuptools,
                python3-all
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://github.com/rsheftel/raccoon
 Vcs-Git: https://salsa.debian.org/debian/python-raccoon.git

## python-raccoon 3.2.2

=== debian/changelog ===
python-raccoon (3.2.2-1) unstable; urgency=medium

  * New upstream version 3.2.2

 -- Akash Doppalapudi <akashdoppalapudi2001@gmail.com>  Wed, 03 Dec 2025 23:30:49 +0530

## python-raccoon 3.3.1

=== debian/changelog ===
python-raccoon (3.3.1-1) unstable; urgency=medium

  * New upstream version 3.3.1
  * d/control: Bump Standards-Version to 4.7.3
  * d/copyright: Update copyright info for 2026

 -- Akash Doppalapudi <akashdoppalapudi2001@gmail.com>  Sat, 14 Feb 2026 12:17:54 +0530

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                pybuild-plugin-pyproject,
                python3-setuptools,
                python3-all
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Rules-Requires-Root: no
 Homepage: https://github.com/rsheftel/raccoon
 Vcs-Git: https://salsa.debian.org/debian/python-raccoon.git
